#-------------------------------------------------------------
# Generated Example Tcl script for IP 'fifo_dma_1kx64' (xilinx.com:ip:fifo_generator:10.0)
#-------------------------------------------------------------

# Create project
create_project -name fifo_dma_1kx64_example -force
set_property part xc7k410tfbg676-2 [current_project]
set_property target_language vhdl [current_project]

# Import the original IP
import_ip -files {c:/RedRapids/SigFPGA/project_templates/xc7k410tfbg676/SigFPGA_Top/SigFPGA_Top.srcs/sources_1/ip/fifo_dma_1kx64/fifo_dma_1kx64.xci} -name fifo_dma_1kx64

# Generate the IP
reset_target {all} [get_ips fifo_dma_1kx64]
proc _filter_supported_targets {targets ip} { set all [get_property SUPPORTED_TARGETS $ip]; set res {}; foreach a_target $targets { lappend res {*}[lsearch -all -inline -nocase $all $a_target] }; return $res }
generate_target [_filter_supported_targets {instantiation_template synthesis simulation} [get_ips fifo_dma_1kx64]] [get_ips fifo_dma_1kx64]

# Add example synthesis HDL files
add_files -scan_for_includes -fileset [current_fileset] { {c:/RedRapids/SigFPGA/project_templates/xc7k410tfbg676/SigFPGA_Top/SigFPGA_Top.srcs/sources_1/ip/fifo_dma_1kx64/fifo_dma_1kx64/example_design/fifo_dma_1kx64_exdes.vhd} }

# Add example XDC files
add_files -fileset [current_fileset -constrset] { {c:/RedRapids/SigFPGA/project_templates/xc7k410tfbg676/SigFPGA_Top/SigFPGA_Top.srcs/sources_1/ip/fifo_dma_1kx64/fifo_dma_1kx64/example_design/fifo_dma_1kx64_exdes.xdc} }

# Add example simulation files
if { [catch {current_fileset -simset} exc] } {
  # Create default simset
  create_fileset -simset sim_1
}
add_files -scan_for_includes -fileset [current_fileset -simset] { {c:/RedRapids/SigFPGA/project_templates/xc7k410tfbg676/SigFPGA_Top/SigFPGA_Top.srcs/sources_1/ip/fifo_dma_1kx64/fifo_dma_1kx64/simulation/fifo_dma_1kx64_pkg.vhd} } { {c:/RedRapids/SigFPGA/project_templates/xc7k410tfbg676/SigFPGA_Top/SigFPGA_Top.srcs/sources_1/ip/fifo_dma_1kx64/fifo_dma_1kx64/simulation/fifo_dma_1kx64_rng.vhd} } { {c:/RedRapids/SigFPGA/project_templates/xc7k410tfbg676/SigFPGA_Top/SigFPGA_Top.srcs/sources_1/ip/fifo_dma_1kx64/fifo_dma_1kx64/simulation/fifo_dma_1kx64_dgen.vhd} } { {c:/RedRapids/SigFPGA/project_templates/xc7k410tfbg676/SigFPGA_Top/SigFPGA_Top.srcs/sources_1/ip/fifo_dma_1kx64/fifo_dma_1kx64/simulation/fifo_dma_1kx64_dverif.vhd} } { {c:/RedRapids/SigFPGA/project_templates/xc7k410tfbg676/SigFPGA_Top/SigFPGA_Top.srcs/sources_1/ip/fifo_dma_1kx64/fifo_dma_1kx64/simulation/fifo_dma_1kx64_pctrl.vhd} } { {c:/RedRapids/SigFPGA/project_templates/xc7k410tfbg676/SigFPGA_Top/SigFPGA_Top.srcs/sources_1/ip/fifo_dma_1kx64/fifo_dma_1kx64/simulation/fifo_dma_1kx64_synth.vhd} } { {c:/RedRapids/SigFPGA/project_templates/xc7k410tfbg676/SigFPGA_Top/SigFPGA_Top.srcs/sources_1/ip/fifo_dma_1kx64/fifo_dma_1kx64/simulation/fifo_dma_1kx64_tb.vhd} }

# Import all files while preserving hierarchy
import_files

# Set top
set_property TOP [lindex [find_top] 0] [current_fileset]

